#!/usr/bin/perl -w
##################################################
# IDEA-encrypt/decrypt, 1999 mschilli@netscape.com
#     crypt.pl [-d] key [file] ...
##################################################

use Crypt::CBC;
use MIME::Base64;

$|       = 1;
$DECRYPT = 0;

(shift, $DECRYPT = 1) if @ARGV && $ARGV[0] eq "-d";
$KEY = shift or usage("No key given");

$data = join('', <>);

$cipher = Crypt::CBC->new($KEY, "Crypt::IDEA");

if($DECRYPT) {
    print $cipher->decrypt(decode_base64($data));
} else {
    print encode_base64($cipher->encrypt($data));
}

sub usage {
   print "@_\nusage: $0 [-d] key [file] ...\n";
   exit 1;
}
